input {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: Segoe UI;
    background: #f4f6f9;
}

/* HEADER */
.header {
    background: #0b3d91;
    color: white;
    padding: 15px 30px;
    font-size: 18px;
}

/* DASHBOARD */
.container {
    padding: 20px;
    opacity: 0.2;
    pointer-events: none;
}

/* KPI */
.kpi-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
    margin-bottom: 20px;
}

.card {
    background: white;
    padding: 15px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.card h3 {
    font-size: 14px;
    color: #666;
}

.card p {
    font-size: 22px;
    font-weight: bold;
}

/* GRID */
.grid {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 20px;
}

.chart-box {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

/* TABLE */
table {
    width: 100%;
    border-collapse: collapse;
}

th,
td {
    padding: 10px;
    border-bottom: 1px solid #ddd;
    text-align: center;
}

th {
    background: #0b3d91;
    color: white;
}

/* LOGIN OVERLAY */
.login-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:
        linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
        url('https://images.unsplash.com/photo-1627894483216-2138af692e32?q=80&w=1920&auto=format&fit=crop') no-repeat center/cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

/* HEADER INSIDE LOGIN */
.top-header {
    position: absolute;
    top: 20px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0 40px;
    color: white;
    align-items: center;
}

.top-header .left {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 13px;
}

.logo {
    width: 60px;
}

.top-header .center {
    font-size: 14px;
}

.top-header .right {
    font-size: 13px;
}

/* LOGIN BOX */
.login-box {
    width: 380px;
    padding: 30px;
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(12px);
    border-radius: 12px;
    color: white;
    text-align: center;
}

.login-box input {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: none;
    border-radius: 6px;
}

.login-box button {
    width: 100%;
    padding: 12px;
    background: #2ecc71;
    border: none;
    border-radius: 6px;
    color: white;
    cursor: pointer;
}

/* OPTIONS */
.options {
    display: flex;
    justify-content: space-between;
    font-size: 12px;
}

/* ROLES */
.roles {
    margin-top: 15px;
    display: flex;
    justify-content: space-between;
}

#formdata
{
    display: none !important;
}

.role {
    width: 30%;
    padding: 8px;
    background: rgba(255, 255, 255, 0.25);
    border-radius: 6px;
    font-size: 12px;
}

/* FOOTER */
.footer {
    position: absolute;
    bottom: 15px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0 30px;
    color: white;
    font-size: 12px;
}

.error {
    color: #ff6b6b;
    font-size: 15px;
    margin-top: 1.5% !important ;
}

.captcha-sec {
    display: grid;
    grid-template-columns: 1fr 150px;
    gap: 5px;
}

.flex {
    display: flex;
    align-items: center;
}

.bg-transparent {
    background-color: transparent !important;
    font-size: 20px;
}

.refresh-captcha {
    padding: 6px !important;
}
.text-white
{
    color: white !important;
}
.text-danger
{
    color: red !important;
}